import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { PlanSizes } from '../models';
import { PlanSizesRepository } from '../repositories';
export declare class PlanSizesController {
    planSizesRepository: PlanSizesRepository;
    constructor(planSizesRepository: PlanSizesRepository);
    create(planSizes: Omit<PlanSizes, 'id'>): Promise<PlanSizes>;
    count(where?: Where<PlanSizes>): Promise<Count>;
    find(filter?: Filter<PlanSizes>): Promise<PlanSizes[]>;
    updateAll(planSizes: PlanSizes, where?: Where<PlanSizes>): Promise<Count>;
    findById(id: string, filter?: FilterExcludingWhere<PlanSizes>): Promise<PlanSizes>;
    updateById(id: string, planSizes: PlanSizes): Promise<void>;
    replaceById(id: string, planSizes: PlanSizes): Promise<void>;
    deleteById(id: string): Promise<void>;
}
