import { Entity } from '@loopback/repository';
export declare enum PaymentMethodEnum {
    Cash = "cash",
    Check = "check",
    BankTranser = "bank_transfer",
    Other = "other",
    Custom = "custom",
    PaymentSource = "payment_source"
}
export declare class TransactionDto extends Entity {
    amount?: number;
    paymentMethod: PaymentMethodEnum;
    paymentSourceId?: string;
    referenceNumber?: string;
    customPaymentMethodId?: string;
    idAtGateway?: string;
    status?: 'success' | 'failure';
    date?: number;
    errorCode?: string;
    errorText?: string;
    comment?: string;
    constructor(data?: Partial<TransactionDto>);
}
