import { Getter } from '@loopback/core';
import { HasManyRepositoryFactory, juggler } from '@loopback/repository';
import { DefaultUserModifyCrudRepository, IAuthUserWithPermissions } from '@sourceloop/core';
import { BillingCustomer, Invoice } from '../models';
import { InvoiceRepository } from './invoice.repository';
export declare class BillingCustomerRepository extends DefaultUserModifyCrudRepository<BillingCustomer, typeof BillingCustomer.prototype.id, {}> {
    protected invoiceRepositoryGetter: Getter<InvoiceRepository>;
    readonly getCurrentUser: Getter<IAuthUserWithPermissions>;
    readonly invoices: HasManyRepositoryFactory<Invoice, typeof BillingCustomer.prototype.id>;
    constructor(dataSource: juggler.DataSource, invoiceRepositoryGetter: Getter<InvoiceRepository>, getCurrentUser: Getter<IAuthUserWithPermissions>);
}
