"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BillingCustomerRepository = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const core_2 = require("@sourceloop/core");
const loopback4_authentication_1 = require("loopback4-authentication");
const models_1 = require("../models");
const types_1 = require("../types");
let BillingCustomerRepository = class BillingCustomerRepository extends core_2.DefaultUserModifyCrudRepository {
    constructor(dataSource, invoiceRepositoryGetter, getCurrentUser) {
        super(models_1.BillingCustomer, dataSource, getCurrentUser);
        this.invoiceRepositoryGetter = invoiceRepositoryGetter;
        this.getCurrentUser = getCurrentUser;
        this.invoices = this.createHasManyRepositoryFactoryFor('invoices', invoiceRepositoryGetter);
        this.registerInclusionResolver('invoices', this.invoices.inclusionResolver);
    }
};
exports.BillingCustomerRepository = BillingCustomerRepository;
exports.BillingCustomerRepository = BillingCustomerRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.SubscriptionDbSourceName}`)),
    tslib_1.__param(1, repository_1.repository.getter('InvoiceRepository')),
    tslib_1.__param(2, core_1.inject.getter(loopback4_authentication_1.AuthenticationBindings.CURRENT_USER)),
    tslib_1.__metadata("design:paramtypes", [repository_1.juggler.DataSource, Function, Function])
], BillingCustomerRepository);
//# sourceMappingURL=billing-customer.repository.js.map